# Sartorius Logger

Make time series measurements with a Sartorius scale.


## Settings on the scale

With these settings, the logger should work with the scale:

 - in settings / usb select "SBI" as communication protocol
 - in settings / print select a manual printout mode
 - return to the measurement display.
   Don't try to run the logger while the scale is still in a menu – it won't work


## Development

To install the development version of sartorius logger:

    git clone https://git.cpi.imtek.uni-freiburg.de/holgi/sartoriuslogger
    cd sartoriuslogger

    # create a virtual environment and activate it
    python3 -m venv --prompt sartorius .venv
    .venv/bin/activate

    # upgrade pip, install flit and sartoriuslogger
    python3 -m pip install --upgrade pip
    python3 -m pip install flit
    python3 -m flit install --pth-file

To run the tests, run `make tests` or `make coverage` for a complete report.

To build the SartoriusLogger windows app, run the `make.bat` file - Good Luck.
